DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
DVSeriesCache::ItemStruct Struct Reference

Internal structure defining the list items. More...

## Public Member Functions
| ItemStruct (const OFString &uid, const DVIFhierarchyStatus status=DVIF_objectIsNew, const DVPSInstanceType type=DVPSI_image)
| Constructor.

## Public Attributes
OFString | UID
| instance UID
DVIFhierarchyStatus | Status
| review status for the series
DVPSInstanceType | Type
| type of all instances within this series
DVInstanceCache | List
| list of instances within this series

## Detailed Description

Internal structure defining the list items.

## Constructor & Destructor Documentation

## ◆ ItemStruct()

DVSeriesCache::ItemStruct::ItemStruct | ( | const OFString & | uid,
|  | const DVIFhierarchyStatus | status = DVIF_objectIsNew,
|  | const DVPSInstanceType | type = DVPSI_image )
| inline

Constructor.

sets internal member variables.

Parameters

  uid | unique identifier
  status | review status (optional)
  type | type of series

References List, Status, Type, and UID.

The documentation for this struct was generated from the following file:

- dcmpstat/include/dcmtk/dcmpstat/dvcache.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2